#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
ll a[30005];
ll b[30005];
ll ap[30005];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t;
    cin>>t;
    while(t--){
        int n;
        cin>>n;
        for(int i=1;i<=n;i++){
            cin>>a[i];
            ap[a[i]]++;
        }
        for(int i=1;i<=n;i++){
            cin>>b[i];
        }
        bool p=0;
        for(int i=1;i<=n;i++){
            if(ap[b[i]]==0&&ap[-b[i]]==0){
                p=1;
                cout<<"NE"<<endl;
            }
        }
        if(p==0){
            cout<<"DA"<<endl;
        }
        
    }
    return 0;
}